Bug 127963 - Toolbar flickers while the window is resized
Summary: Toolbar flickers while the window is resized
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.6.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RenderContext Flickering-UI
  Show dependency treegraph
 
Reported: 2019-10-04 12:38 UTC by alexleduc
Modified: 2020-08-02 14:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alexleduc 2019-10-04 12:38:40 UTC
Description:
Resizing a window in any of the Libre Office programs (Calc, Writer, etc). makes the toolbar icons and widget disappear and reappear every few milliseconds, like a stroboscope. It makes the UI look buggy and contributes to the perception that Libre Office is slow compared to MS Office.

This happens to every type of toolbar display. i.e. Select: 
"View -> User Interface -> Sidebar" from the menu and then resize the window and not only will the toolbar flicker but everything in the sidebar.

To be clear: the flickering happens only while you click the edge of the window and move the mouse to resize it. The flickering stops when you let go of the mouse button.

Steps to Reproduce:
1. Open any of the Libre Office apps, like Writer, Calc, etc.
2. Click the edge of the window to resize it.
3. While you are moving your mouse during resize, notice the toolbar icons and widgets flickering really fast.

Actual Results:
Toolbar(s) flickers while the window is resized

Expected Results:
I expect it to not flicker, just like every other application I use on Windows.


Reproducible: Always


User Profile Reset: No



Additional Info:
Note: Enabling OpenGL rendering seems to fix the flickering issue, however since it is not enabled by default, I would argue that this is still an important bug to fix because it affects the user experience negatively and contributes to the perception the Libre Office is buggy. Every user is likely to notice it since resizing a window is a common thing people do.
Comment 1 Xisco Faulí 2019-10-04 13:51:06 UTC
Hello alexleduc,
Many flickering issues has been fixed in 6.3.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 2 V Stuart Foote 2019-10-04 13:51:33 UTC
Hmm, duplicate bug 69932 on Linux was closed => WF, but it was confirmed there (cmnt 21) for Windows (6.2.7). Suspect that original issues there, were conflated with the RenderContext refactoring--and maybe should have been moved to a new issue. Anyhow still can confirm on 6.3, and with recent master.

@Xisco -- another candidate for your RequestDoubleBuffering(true) patches?

STR:

1. Open LibreOffice disable OpenGL rendering, restart
2. open Writer
3. View -> User Interface -> Standard Toolbar (restart Writer if changes)
4. grab corner of the LibreOffice application frame on system desktop
5. drag to resize, release
6. watch the Toolbar elements redraw (multiple times in sequence) on release -- not double buffered

7. enable OpenGL, restart
8. same steps 4 - 6
9. clean single draw -- double buffered

=-testing-=
Windows 10 Home 64-bit en-US (1903) Intel HD Graphics 620

Version: 6.3.2.2 (x64)
Build ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 3a7d479c4c852499e8e4e2bc4273f02aec5051be
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-09-25_22:48:46
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 3 alexleduc 2019-10-06 01:13:26 UTC
(In reply to Xisco Faulí from comment #1)
> Hello alexleduc,
> Many flickering issues has been fixed in 6.3.
> Could you please try to reproduce it with the latest version of LibreOffice
> from https://www.libreoffice.org/download/libreoffice-fresh/ ?
> I have set the bug's status to 'NEEDINFO'. Please change it back to
> 'UNCONFIRMED' if the bug is still present in the latest version.

Hi Xisco,

I installed the version you linked to, launched it and disabled OpenGL rendering, restarted it and then the flickering was still happening.

Version: 6.3.2.2 (x64)
Build ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: fr-CA (fr_CA); UI-Language: en-US
Calc: CL
Comment 4 tommy27 2020-08-02 06:29:49 UTC
UI still flickers a few times after window resize under Win10 x64 using LibO 6.4.5.2
Comment 5 V Stuart Foote 2020-08-02 14:00:17 UTC
Buffering issue remains *just* for GDI rendering (CPU or with HA) only on Windows 10 Home 64-bit en-US with
Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: threaded

However at 7.0.0, the now default Skia rendering (Vulkan HW based or software only) redraw is double buffered and does not "flicker", just like OpenGL rendering had been doing previously.